{% include "header.html" %}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Delete Search Item
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <!-- Display success/error message after submission completes -->
                    {% if action != "none" %}
                        <div class="box-header with-border">
                            <form action="/scanItems">
                                <button type="submit" class="btn btn-primary" style="float:right;">Return to Items</button>
                            </form>
                        </div>
                        <div class="box-body"><center>
                            <h2>{{ message }}</h2>
                            <br>
                        </center></div>
                    {% endif %}
                    {% if action == "none" %}                    
                    <div class="box-header with-border">
                        <form action="/scanItems">
                            <button type="submit" class="btn btn-danger" style="float:right;">Cancel</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <form action="/editItem" method="POST" role="form">
                            <div class="row">
                                <div class="col-md-12">
                                    <input type="hidden" name="action" value="confirmItemDelete">
                                    <input type="hidden" name="item_id" value="{{item_id}}">
                                    <center>
                                    <h3>Are you sure you want to delete item "<u>{{name}}</u>"?</h3>
                                    <br>
                                    <button type="submit" class="btn btn-block btn-success">Yes, Delete This Item</button>
                                    </center>
                                    <!-- </div> -->
                                </div> <!-- / end col 12 -->
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}
                </div> <!-- /box  -->
            </div> <!-- /end col 12-->
        </div> <!-- /end row -->
    </section> <!-- /end content-container fluid -->
</div>
 
<script>
function deleteAlias(alias_id) {
    if (confirm('Are you sure you want to delete this alias?')) {
        // Delete alias
        $.post("/editItem", {
                action: "deleteAlias",
                alias: alias_id
            },
            function(data){
               if(data.success == true){ // if true (1)
                  setTimeout(function(){// wait for 5 secs(2)
                       location.reload(); // then reload the page.(3)
                  }, 5000); 
               }
            }
        );
    } else {
        // Do nothing!
    }

}

$(document).ready(function(){

    $('#add').click(function(){
        $('#alias1').clone().appendTo("#newAliasContainer");
        $('.newAliasForm').last().css("display","").hide().fadeIn('slow');
        $('.newAliasForm').last().attr('id', 'alias' + $('.newAliasForm').length);
        //$('.newAliasForm:nth-last-child(1) input[name=alias]').attr('name', 'alias' + $('.newAliasForm').length);

    })

    $(document).on('click','#remove', function(){
        $(this).parent().remove();
    });


})

</script>

{% include "footer.html" %}




